Skip to main content
Effective Date — May 7, 2026
As part of the IAM hierarchy simplification, a new format of the TIR APIs is now available. All endpoints that previously included /teams/:team_id segment will now follow a service-centric structure, with project_id now passed as a query parameter instead of a path segment. You can read more about this change

Llama 3.1 8B Instruct

Llama 3.1 represents Meta's most advanced language model to date. It integrates state-of-the-art techniques in natural language processing to deliver unparalleled performance in various tasks.

POST/project/p-{Project_Id}/genai/llama3_1_8b_instruct/v1/chat/completions

Query parameters

  • project_idQueryintegerrequired

    Project ID

Request body

application/json

object
temperaturenumber
max_tokensinteger
top_pnumber
frequency_penaltynumber
presence_penaltynumber
streamboolean
modelstring
examplellama3_1_8b_instruct
messagesarray

Responses

No StreamSuccessful response (Non-streaming)
object
idstring
examplechat-a8fa533f74b346688f780c3b2e14638f
objectstring
examplechat.completion
createdinteger
example1738753122
modelstring
examplellama3_1_8b_instruct
choicesarray
usageobject
StreamSuccessful response (Streaming mode)
string
exampledata: {"id":"chat-b3b5ae1d266c428f894f05e33a39ea5b","object":"chat.completion.chunk","created":1738752367,"model":"llama3_1_8b_instruct","choices":[{"index":0,"delta":{"role":"assistant"},"logprobs":null,"finish_reason":null}]} data: {"id":"chat-b3b5ae1d266c428f894f05e33a39ea5b","object":"chat.completion.chunk","created":1738752367,"model":"llama3_1_8b_instruct","choices":[{"index":0,"delta":{"content":"Hello"},"logprobs":null,"finish_reason":null}]} data: {"id":"chat-b3b5ae1d266c428f894f05e33a39ea5b","object":"chat.completion.chunk","created":1738752367,"model":"llama3_1_8b_instruct","choices":[{"index":0,"delta":{"content":"."},"logprobs":null,"finish_reason":null}]} data: {"id":"chat-b3b5ae1d266c428f894f05e33a39ea5b","object":"chat.completion.chunk","created":1738752367,"model":"llama3_1_8b_instruct","choices":[{"index":0,"delta":{"content":" How"},"logprobs":null,"finish_reason":null}]} data: {"id":"chat-b3b5ae1d266c428f894f05e33a39ea5b","object":"chat.completion.chunk","created":1738752367,"model":"llama3_1_8b_instruct","choices":[{"index":0,"delta":{"content":" can"},"logprobs":null,"finish_reason":null}]} data: {"id":"chat-b3b5ae1d266c428f894f05e33a39ea5b","object":"chat.completion.chunk","created":1738752367,"model":"llama3_1_8b_instruct","choices":[{"index":0,"delta":{"content":" I"},"logprobs":null,"finish_reason":null}]} data: {"id":"chat-b3b5ae1d266c428f894f05e33a39ea5b","object":"chat.completion.chunk","created":1738752367,"model":"llama3_1_8b_instruct","choices":[{"index":0,"delta":{"content":" assist"},"logprobs":null,"finish_reason":null}]} data: {"id":"chat-b3b5ae1d266c428f894f05e33a39ea5b","object":"chat.completion.chunk","created":1738752367,"model":"llama3_1_8b_instruct","choices":[{"index":0,"delta":{"content":" you"},"logprobs":null,"finish_reason":null}]} data: {"id":"chat-b3b5ae1d266c428f894f05e33a39ea5b","object":"chat.completion.chunk","created":1738752367,"model":"llama3_1_8b_instruct","choices":[{"index":0,"delta":{"content":" today"},"logprobs":null,"finish_reason":null}]} data: {"id":"chat-b3b5ae1d266c428f894f05e33a39ea5b","object":"chat.completion.chunk","created":1738752367,"model":"llama3_1_8b_instruct","choices":[{"index":0,"delta":{"content":"?"},"logprobs":null,"finish_reason":null}]} data: {"id":"chat-b3b5ae1d266c428f894f05e33a39ea5b","object":"chat.completion.chunk","created":1738752367,"model":"llama3_1_8b_instruct","choices":[{"index":0,"delta":{"content":""},"logprobs":null,"finish_reason":"stop","stop_reason":null}]} data: [DONE]